Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/334/?format=api
{ "ob_id": 334, "uuid": "d47d752c85a8fc3eadfd25c8e2c7417d", "title": "OP3-3 Campaign: CEH Camera75m timelapse images at Bukit Atur", "abstract": "This dataset contain timelapse images at Bukit Atur from the CEH Camera75m.\r\n\r\nOxidant and Particle Photochemical Processes above a South-East Asian tropical rain forest (OP3-Danum-08) is a 3-year Consortium Grant of the Natural Environment Research Council (NERC), beginning 1 October 2007.\r\n\r\nThe objectives of the OP3 project are (i) to understand how emissions of reactive trace gases from a tropical rain forest mediate the production and processing of oxidants and particles in the troposphere, and (ii) to better understand the impact of these processes on local, regional and global scale atmospheric composition, chemistry and climate.", "keywords": "OP3-3, Clouds, Camera", "publicationState": "published", "dataPublishedTime": "2010-04-06T13:36:02", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/335/?format=api", "dataPath": "/badc/op3/data/op3-3/ceh-camera75m/2008", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 545318043, "numberOfFiles": 11, "fileFormat": "Data are NASA Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3817/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were obtained during ground-based measurement periods at the Danum Valley Research centre (7th April - 4th May 2008 and 21st June - 27th July 2008), and by the FAAM (Facility for Airborne Atmospheric Measurements) BAe 146 aircraft. Data were provided to the BADC as the OP3 campaign was underway, but may be updated with additional data.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/238/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/154/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/47/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/900/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/905/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/903/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/904/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/906/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/902/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/901/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/899/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75400/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54405/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/336/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }